net.sourceforge.pmd.properties

## Class BooleanPropertyTest

- java.lang.Object
- - net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester
  - - net.sourceforge.pmd.properties.BooleanPropertyTest

-     public class BooleanPropertyTest
      extends AbstractPropertyDescriptorTester

  Author:
    Brian Remedios

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

      `allChars, alphaChars, alphaNumericChars, digitChars, punctuationChars, whitespaceChars`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanPropertyTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PropertyDescriptor` | `createBadProperty(boolean multiValue)` Method createBadProperty.
    `protected Object` | `createBadValue(int count)` Return a value(s) that is known to be faulty per the general scope of the descriptor.
    `protected PropertyDescriptor` | `createProperty(boolean multiValue)` Method createProperty.
    `protected Object` | `createValue(int valueCount)` Method createValue.
    `static junit.framework.Test` | `suite()`
    `void` | `testErrorForBad()`

    - ### Methods inherited from class net.sourceforge.pmd.properties.AbstractPropertyDescriptorTester

      `filter, randomBool, randomChar, randomChoice, randomDouble, randomFloat, randomInt, randomInt, randomString, testAsDelimitedString, testConstructors, testErrorFor, testType, testValueFrom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanPropertyTest

          public BooleanPropertyTest()

  - ### Method Detail

    - #### createValue

          protected Object createValue(int valueCount)

      Method createValue.
      Specified by:
        `createValue` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `valueCount` - int
      Returns:
        Object

    - #### testErrorForBad

          public void testErrorForBad()

      Overrides:
        `testErrorForBad` in class `AbstractPropertyDescriptorTester`

    - #### createBadValue

          protected Object createBadValue(int count)

      Description copied from class: `AbstractPropertyDescriptorTester`
      Return a value(s) that is known to be faulty per the general scope of the descriptor.
      Specified by:
        `createBadValue` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `count` - int
      Returns:
        Object

    - #### createProperty

          protected PropertyDescriptor createProperty(boolean multiValue)

      Method createProperty.
      Specified by:
        `createProperty` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `multiValue` - boolean
      Returns:
        PropertyDescriptor

    - #### createBadProperty

          protected PropertyDescriptor createBadProperty(boolean multiValue)

      Method createBadProperty.
      Specified by:
        `createBadProperty` in class `AbstractPropertyDescriptorTester`
      Parameters:
        `multiValue` - boolean
      Returns:
        PropertyDescriptor

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.